<div class="r-main">
  <div class="container-fluid" #prod>
    <div class="row pro-bg" *ngIf="productDetail">
      <div class="prod-picture pp-wrap">
          <div class="flex-container">
          <div class="column">
            <div class="productflow-image">
              <div *ngFor="let image of productDetail.productImage; let i=index">
                <img title="product" (mouseover)="changeImageForZoom(image)" (click)="changeImageForZoom(image)" class="product-thum-image"
                  [src]="image.smallImage">
              </div>
            </div>
          </div>
          
          <div class="column bg-alt">
            <div class="prd-pic-zoom" *ngIf="mainImage !== 'assets/images/no-image-found.jpg'">
              <ngx-img-zoom [zoomImageSrc]="zoomImage" [previewImageSrc]="mainImage" [imgStyle]="''"></ngx-img-zoom>
            </div>
            <div class="without-zoom" *ngIf="mainImage === 'assets/images/no-image-found.jpg'">
              <img [src]="mainImage">
            </div>
          </div>
      
        </div>
      </div>
         
      <!-- Product Description -->
      <div class="col prod-decript pd-wrap">
        <div class="row">
          <div class="col">
            <div class="description"> 
                <div class="breadCrumbSection">
                  <a (click)="moveToRespectivePages('home')">{{productDetail.categoryGroupName}}</a>  <span class="breadCrumb"> > </span> <a (click)="moveToRespectivePages('product-list')">{{productDetail.categoryName}} </a> <span class="breadCrumb"> > </span> <a (click)="moveToRespectivePages('product-list-a')">{{productDetail.subCategoryName}}</a>
                </div>
              <div class="product-title collapse">
                <h4>{{productDetail.productName}}</h4>                
                <div class="prod-fav-icon" (click)="addToWishList(productDetail)">
                  <i class="material-icons" *ngIf="productDetail.favUser !== 1">favorite_border</i>
                  <i class="material-icons prod-fav-icon-active" *ngIf="productDetail.favUser === 1">favorite</i>
                </div>
              </div>
              <div class="share-btn-rating">
                <div class="rating" *ngIf="productDetail.productRating !== null">
                  <div class="rating-icon" (mouseover)="showRatingPopup()" (mouseout)="hideRatingPopup()">
                    {{productDetail.productRating}} ★</div>
                  <span class="p-lt"> {{productDetail.totalProductRating}} {{'RATINGS' | translate:lang}} &
                    {{'REVIEWS' | translate:lang}}</span>
                  <div class="rating-popup" *ngIf="ratingPopup === true">
                    <app-rating-popup [ratingList]="productDetail.reviewandRating[0]" [from]="from"></app-rating-popup>
                  </div>                
                </div>
                <div #shareBtnTrigger class="prod-share-icon" (click)="shareList()" id="shareButtonId">
                    <i class="material-icons">share</i>
                </div>
                <div *ngIf="shareBtns" class="share-btns" >
                  <!-- <share-buttons  (click)="shareBtns = false" [theme]="'default'"
                  [include]="['facebook','twitter','linkedin','pinterest', 'whatsapp','sms','email','copy']"
                  [show]="5"
                  [size]="-5"
                  [title]="productDetail.productName"
                  [description]="descriptionWithoutTemplate"
                  [image]="productDetail.productImage[0].thumbnailImage"
                  ></share-buttons> -->
                  <share-social-buttons [trigger]="shareBtnTrigger" (onClickOut)="shareList()" [theme]="'default'"
                  [include]="['facebook','twitter','linkedin','pinterest', 'whatsapp','email','copy']"
                  [show]="5"
                  [size]="-5"
                  [title]="productDetail.productName"
                  [description]="descriptionWithoutTemplate"
                  [image]="productDetail.mainImage"
                  (closed)="onShareBtnClosed($event)"
                  ></share-social-buttons>
                </div>
              </div>
              <div class="prod-review"
                *ngIf="productDetail.productRating === null && productDetail.productReview.length === 0">
                <a [ngx-scroll-to]="'#reviewSection'">{{'PRODUCT_REVIEW' | translate: lang}}</a>
              </div>

              <div class="prt-description mt-1">
                <pre>{{productDetail.productShortDescription}}</pre>
              </div>

              <div class="price-mrp">{{'LABEL_PRICE' | translate: lang}}
                <span *ngIf="showDiscount !== 0 && productDetail.taxDiscountAmount !== 0" class="price-view">
                  {{strikeOutAmount | customCurrencyFormat}}</span>
              </div>

              <div class="price">
                {{(productDetail.taxDiscountAmount === 0 ? (productDetail.taxSalesPrice | customCurrencyFormat) : (productDetail.taxDiscountAmount | customCurrencyFormat
                        ))}}
                <span class="price-off" *ngIf="productDetail.taxDiscount > 0 && showDiscount !== 0">
                  <span *ngIf="productDetail.discountType === 1">{{productDetail.taxDiscount | customCurrencyFormat}}</span>
                  <span *ngIf="productDetail.discountType === 2">{{productDetail.taxDiscount}}%</span> Off</span>
              </div>

              <div class="product-outOfStock" *ngIf="(productDetail.quantity - productDetail.soldOut) === 0">
                {{productDetail.lowStockName}}
              </div>

              <div class="product-lowstock"
                *ngIf="((productDetail.quantity - productDetail.soldOut) !== 0) && showCountMessage === true">
                {{'ONLY' | translate:lang}}{{prodQuantity}}{{'LEFT'| translate:lang }}
              </div>


              <div class="min-max-qty">
                <div class="min-qty" *ngIf="minimumOrderQuantity > 1">
                  {{'labelMinimumQuantity' | translate: lang}} : <b>{{minimumOrderQuantity}}</b>
                </div>
                <div *ngIf="maximumOrderQuantity && maximumOrderQuantity !== 0">
                  {{'labelMaximumQuantity' | translate: lang}} : <b>{{maximumOrderQuantity}}</b>
                </div>
              </div>

              <div class="att-list" *ngIf="productGroupOptionList">
                <div *ngFor="let option of productGroupOptionList">
                  <span class="att">{{option.attributeName}}</span>
                  <div class="pro-color" *ngIf="option.attributeType === 'Color'">
                    <ul>
                      <li *ngFor="let opt of option.options; let i = index, targetIndex"
                        [ngClass]="{'pro-color-active': opt.selected}" class="product-color"
                        [ngStyle]="{'background-color': opt.productOptionValue | lowercase}"
                        (click)="targetIndex = i; updateSelection(option,opt)"></li>
                    </ul>
                  </div>

                  <div class="pro-size" *ngIf="option.attributeType === 'Size'">
                    <ul>
                      <li class="size-product" *ngFor="let opt of option.options; let i = index, targetSizeIndex"
                        [ngClass]="{'active-size': opt.selected }"
                        (click)="targetSizeIndex = i; updateSelection(option, opt)">{{opt.productOptionValue}}</li>
                    </ul>
                  </div>
                  <div class="pro-seaters" *ngIf="option.attributeType === 'Select'">
                    <mat-select class="col-4 padding0px" placeholder="Select"
                      (selectionChange)="updateSelection(option, $event.value)" [(ngModel)]="selectedOptionValue">
                      <mat-option *ngFor="let opt of option.options" [value]="opt">
                        {{opt.productOptionValue}}
                      </mat-option>
                    </mat-select>
                  </div>
                  <div class="pro-radio" *ngIf="option.attributeType === 'Radio'">
                    <mat-radio-group [(ngModel)]="radioSelected">
                      <mat-radio-button *ngFor="let opt of option.options"
                        (click)="updateSelection(option, opt, radioSelected)" [value]="opt.productOptionValue"
                        [checked]="opt.selected">
                        {{opt.productOptionValue}}
                      </mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div class="pro-checkbox" *ngIf="option.attributeType === 'Checkbox'">
                    <section *ngFor="let opt of option.options">
                      <mat-checkbox (change)="updateSelection(option, opt)" [checked]="opt.selected">
                        {{opt.productOptionValue}}</mat-checkbox>
                    </section>
                  </div>
                </div>
              </div>
              <div *ngIf="prodDetails && prodDetails.isShippingGatewayAvailable !== 0">
              <form (ngSubmit)="checkProductAvailability()" #availableForm="ngForm">
              <div class="delivery-opt-check">
                <div>
                  <mat-form-field appearance="outline" class="common-form-field-width">
                    <mat-label>{{'ZIP_CODE_DELIVERY' | translate: lang}}</mat-label>
                    <input (input)="onChangeZipCode()" [pattern]="productAvailableQuantity.ZIPCODE_PATTERN" [minlength]="productAvailableQuantity.ZIPCODE_MINLENGTH" [maxlength]="productAvailableQuantity.ZIPCODE_MAXLENGTH" [(ngModel)]="availableZipcode" name="availableZipcode"
                      #zipcode="ngModel" matInput [placeholder]="'ZIP_CODE_DELIVERY' | translate: lang" autocomplete="off">
                      <mat-hint *ngIf="zipcode.invalid">
                          <mat-error *ngIf="zipcode.errors.minlength">{{'minimumCharacter' | translate: lang}} {{productAvailableQuantity.ZIPCODE_MINLENGTH}}</mat-error>
                          <mat-error *ngIf="zipcode.errors.pattern">{{'errorValidZipcode' | translate: lang}}</mat-error>
                      </mat-hint>
                    </mat-form-field>

                  </div>
                  <div>
                  <button [disabled]="!availableZipcode || !availableForm.valid" mat-raised-button class="check-delivery-btn delivery-check">{{ 'CHECK' | translate:lang }}</button>
                  </div>
                  <div class="delivery-expect" *ngIf="availableZipcode && productAvailableDetails">
                    <span *ngIf="productAvailableDetails.available">
                      <span *ngIf="productAvailableDetails.deliveryByDate">{{'LABEL_DELIVERY_BY' | translate: lang}} 19 Jul, Friday</span>
                      <span *ngIf="!productAvailableDetails.deliveryByDate">
                        {{'LABEL_PRODUCT_AVAILABLE' | translate: lang}}
                        <span class="offer" *ngIf="productDetail.freeShipping === 0 && !productAvailableDetails.amount">
                            <span class="breaker">|</span>
                            {{'labelFreeShipping' | translate: lang}}
                        </span>
                      </span>
                      <span *ngIf="productAvailableDetails.amount && productDetail.freeShipping === 0">
                        <span class="breaker">|</span>
                          <span class="offer">{{'LABEL_FREE' | translate: lang}}</span>
                          <span class="rupees">{{productAvailableDetails.amount | customCurrencyFormat}}</span>
                      </span>
                      <span *ngIf="productAvailableDetails.amount && productDetail.freeShipping === 1">
                          <span class="breaker">|</span>
                          <span>{{'labelShippingFee' | translate: lang}}: </span>
                          <span>{{productAvailableDetails.amount | customCurrencyFormat}}</span>
                      </span>
                    </span>
                    <span class="product-not-avail" *ngIf="!productAvailableDetails.available">
                      {{'LABEL_PRODUCT_NOT_AVAILABLE' | translate: lang}}
                    </span>
                  </div>
                  <div class="delivery-expect" *ngIf="!productAvailableDetails">
                      <span *ngIf="productDetail.freeShipping === 0" class="offer">{{'labelFreeShipping' | translate: lang}}</span>
                  </div>
                </div>
              </form>
              </div>
              <div class="pc-btn-wrap">
                <div class="mt-2 prod-det-but">
                  <div *ngIf="(productDetail.quantity - productDetail.soldOut) !== 0">
                    <button mat-raised-button class="add-to-cart"
                      *ngIf="productDetail.cartUser === 0 || !productDetail.cartUser"
                      (click)="addProductToCart(productDetail)">{{ 'buttonAddCart' | translate:lang }}</button>
                    <button mat-raised-button class="go-to-cart" *ngIf="productDetail.cartUser === 1"
                      routerLink="/cart-checkout">{{'buttonGoToCart' | translate: lang}}</button>
                  </div>
                  <div class="buybtn"
                    *ngIf="(productDetail.quantity - productDetail.soldOut) !== 0 && productDetail.cartUser !== 1">
                    <button mat-raised-button class="add-to-fav" (click)="buyProduct(productDetail)">
                      {{'buttonBuyNow' | translate: lang}} </button>
                  </div>
                </div>
              </div>

              <div class="v-name">
                  <app-vendor-name [productDetail]="vendorProduct" class="row no-gutters popup" (click)="toggleVendorPopover()" (clickOutside)="vendorDetail = false;"></app-vendor-name>
              </div>

              <div class="pro-desc">
                <div class="pro-desc-title">{{ 'labelDescription' | translate:lang }}</div>
                <div class="pro-desc-txts" [innerHTML]="productDetail.productDescription | safe: 'html'">
                </div>
              </div>

              <div id="reviewSection" class="prod-cust-review">
                <h3>{{'HEADING_CUSTOMER_REVIEWS_RATINGS' | translate: lang}}</h3>
                <form  [formGroup]="productReviewForm">
                <div class="review-customer">
                  <div class="container">
                    <div class="row">                                                  
                        <div class="col-md-6 padding0px">
                        <h5 class="prod-cust-title">{{ 'labelRateProduct' | translate:lang }}</h5>
                        <div class="prod-cust-rate">
                            <div class="prod-cust-rate-img">
                              <img class="img-resp" [src]="ratingImage">
                            </div>
                            <div class="pro-bar-r">
                            <bar-rating [required]="true" [title]="ratingTitle" formControlName="productRating" [(rate)]="rating" [theme]="'stars'" [max]="5"
                              (hover)="updateTitleOnHover($event)">
                            </bar-rating>
                          </div>
                        </div>
                        <div class="btn-review ">
                        <button [title]="'labelAddReview' | translate:lang" class="mt-2" mat-raised-button
                    color="primary" [disabled]="!productReviewForm.valid" (click)="onSubmitRatingReview()">{{ 'labelAddReview' |
                  translate:lang }}
                  </button>
                </div>
                      </div>

                      <div class="col-md-6 padding0px">
                        <h5 class="prod-cust-title ">{{ 'labelReviewProduct' | translate:lang }}</h5>
                        <div class="prod-form-wrap">
                          <mat-form-field class="example-full-width" appearance="outline">
                            <mat-label>{{'placeholderReviewTitle' | translate: lang}}</mat-label>
                            <input matInput type="text" [title]="'placeholderReviewTitle' | translate: lang"
                              autocomplete="off" formControlName="reviewTitle" name="reviewhead"
                              (keypress)="patternChecking($event)"
                              [placeholder]="'placeholderReviewTitle' | translate:lang" required
                              [maxLength]="reviewRules.REVIEW_MAX_LENGTH" />
                            <mat-hint
                              *ngIf="(productReviewForm.controls['reviewTitle'].invalid && (productReviewForm.controls['reviewTitle'].dirty || productReviewForm.controls['reviewTitle'].touched))">
                              <mat-error *ngIf="productReviewForm.controls['reviewTitle'].errors?.required">
                                {{'errorRequired' | translate: lang}}
                              </mat-error>
                              <mat-error *ngIf="productReviewForm.controls['reviewTitle'].errors?.minlength">
                                {{'errorMinimumCharacter' | translate: lang}} {{reviewRules.REVIEW_MIN_LENGTH}}
                              </mat-error>
                              <mat-error
                                *ngIf="productReviewForm.controls['reviewTitle'].errors.pattern && productReviewForm.controls['reviewTitle'].value.length >= reviewRules.REVIEW_MIN_LENGTH">
                                {{'placeholderReviewTitle' | translate: lang}} {{'errorAlphabets' | translate: lang}}
                                and
                                ( & ,@ () ' " ! % - )
                              </mat-error>
                            </mat-hint>
                          </mat-form-field>
                          <mat-form-field class="example-full-width reviewDes" appearance="outline">
                            <mat-label>{{'placeholderReviewDescription' | translate: lang}}</mat-label>
                            <textarea matInput type="text" autocomplete="off"
                              [title]="'placeholderReviewDescription' | translate:lang"
                              formControlName="reviewDescription" [maxLength]="reviewRules.MAX_LENGTH"
                              [placeholder]="'placeholderReviewDescription' | translate:lang" required></textarea>
                            <mat-hint
                              *ngIf="(productReviewForm.controls['reviewDescription'].invalid && (productReviewForm.controls['reviewDescription'].dirty || productReviewForm.controls['reviewDescription'].touched))">
                              <mat-error class="text-danger"
                                *ngIf="productReviewForm.controls['reviewDescription'].errors?.required">
                                {{'errorRequired' | translate: lang}}
                              </mat-error>
                              <mat-error class="text-danger"
                                *ngIf="productReviewForm.controls['reviewDescription'].errors?.minlength">
                                {{'errorMinimumCharacter' | translate: lang}} {{reviewRules.REVIEW_MIN_LENGTH}}
                              </mat-error>
                            </mat-hint>
                          </mat-form-field>
                          
                        </div>
                      </div>
                     
                   
               
                
                      <div class="col-md-12 product-cus-review" *ngIf="productDetail.productReview.length > 0">
                        <div class="prt-customer-review" *ngFor="let review of reviewsList">
                          <div class="review-head mt-4 mr-4">
                            <div class="row">
                              <div class="col-md-12">
                                <div class="reply-msg" *ngIf ="review.replyCount > 0" (click)="openreplyPopup(review.reviewId)">{{review.replyCount}} {{review.replyCount | i18nPlural: pluralMapping['replyCount'] | translate:lang}}</div>
                                <span class="rating-icon">{{review.productRating || 0}}
                                  ★</span><br>
                                <h6 class="mt-3">{{review.reviewTitle}}</h6>
                              </div>
                            </div>
                          </div>
                          <div class="reviews mt-1  mr-4">
                            <p>{{review.reviewMessage}}</p>
                          </div>
                          <div class="review-user-name mt-1 mr-4 mb-2">
                            {{review.firstName}} {{review.lastName}} {{review.createdAt | customDate}}
                          </div>
                        </div>
                        <div class="prt-customer-review" *ngIf="productDetail.productReview.length > 2">
                          <div class="view-more mt-4  mb-4">
                            <span class="view-more"
                              (click)="showMoreReviews(productDetail.vendorId)">{{ 'labelMoreReviews' | translate:lang }}</span>
                          </div>
                        </div>
                      </div>
                      
                    </div>
                  </div>
                </div>
              </form>
              </div>

            </div>
          </div>
        </div>
      </div>

        
    </div>
  </div>

  <div class="container-fluid padding0px" *ngIf="productDetail && productDetail.vendorProduct && productDetail.vendorProduct.length !== 0">
    <div class="col-md-12 padding0px">
      <app-list-vendors [showDiscount]="showDiscount" [productDetail]="vendorProduct" class="row "></app-list-vendors>
    </div>
  </div>

  <div class="container-fluid padding0px" *ngIf="productDetail && productDetail.similarProduct && productDetail.similarProduct.length > 0">
    <div class="row pro-bg-similar-prod">
      <h4 class="m-b10 mt-3">
        {{ 'labelSimilarProduct' | translate:lang }}
      </h4>
      <div class="mobile-drag" *ngIf="productDetail.similarProduct.length > 0">
        <div class="col-md-12 drag-scroll padding0px similar-drag-scroll" dragScroll #tileArrowNav (reachesRightBound)="reachedRight($event)" (reachesLeftBound)="reachedLeft($event)" [drag-scroll-disabled]="true">
          <div class="similar-product padr2vh" *ngFor="let product of productDetail.similarProduct"
            (click)="scroll(prod)">
            <app-product-tile [productDetail]="product" [from]="productFrom" [compareCount]="compareCount"
              (productAction)="getProductActionDetails($event)"></app-product-tile>
          </div>
        </div>
        <div class="non-lpamob" *ngIf="productDetail.similarProduct.length > 5">
          <div *ngIf="!disableArrowLeft" (click)="moveLeft(arrowNav)" class="btn-left">
            <i class="fa fa-chevron-left" aria-hidden="true"></i>
          </div>
          <div *ngIf="!disableArrowRight" (click)="moveRight(arrowNav)" class="btn-right">
            <i class="fa fa-chevron-right" aria-hidden="true"></i>
          </div>
        </div>

        <!-- <div class="mobile-view" *ngIf="productDetail.similarProduct.length > 1">
          <div (click)="moveLeft()" class="btn-left">
            <i class="fa fa-chevron-left" aria-hidden="true"></i>
          </div>
          <div (click)="moveRight()" class="btn-right">
            <i class="fa fa-chevron-right" aria-hidden="true"></i>
          </div>
        </div>
        <div class="tablet-view" *ngIf="productDetail.similarProduct.length > 3">
          <div (click)="moveLeft()" class="btn-left">
            <i class="fa fa-chevron-left" aria-hidden="true"></i>
          </div>
          <div (click)="moveRight()" class="btn-right">
            <i class="fa fa-chevron-right" aria-hidden="true"></i>
          </div>
        </div> -->
      </div>
    </div>
  </div>

  <div class="nodata-found-wrap" *ngIf="!productDetail && !isLoading">
    <div class="nodata-found">
      <img src="assets/images/empty_product.png" />
    </div>
    <span class="align-bottom">
      {{'lableNoProductDetail' | translate: lang}}</span>
  </div>
</div>
<div class="r-mobile">
  <div #prod *ngIf="productDetail">
    <div class="r-mobile-wrap">
      <div class="breadCrumbSection">
         <a (click)="moveToRespectivePages('home')">{{productDetail.categoryGroupName}}</a>  <span class="breadCrumb"> > </span> <a (click)="moveToRespectivePages('product-list')">{{productDetail.categoryName}} </a> <span class="breadCrumb"> > </span> <a (click)="moveToRespectivePages('product-list-a')">{{productDetail.subCategoryName}}</a>
      </div>
      <div class="col padding0px">
        <div class="prod-fav-icon-m" (click)="addToWishList(productDetail)">
          <i class="material-icons" *ngIf="productDetail.favUser !== 1">favorite_border</i>
          <i class="material-icons" *ngIf="productDetail.favUser === 1">favorite</i>
        </div>
        <div #shareBtnTriggerMobile class="prod-share-icon-m" (click)="shareListMobile()" id="shareButtonId">
          <i class="material-icons">share</i>
        </div>
        <div *ngIf="shareBtnsMobile" class="share-btns-mobile" >
          <!-- <share-buttons  (mouseleave)="shareBtns = false" [theme]="'default'"
          [include]="['facebook','twitter','linkedin','pinterest', 'whatsapp','sms','email','copy']"
          [show]="5"
          [size]="-10"
          [title]="productDetail.productName"
          [description]="descriptionWithoutTemplate"
          [image]="productDetail.productImage[0].thumbnailImage">
          </share-buttons> -->
          <share-social-buttons [trigger]="shareBtnTriggerMobile" (onClickOut)="shareListMobile()" [theme]="'default'"
                  [include]="['facebook','twitter','linkedin','pinterest', 'whatsapp','sms','email','copy']"
                  [show]="5"
                  [size]="-10"
                  [title]="productDetail.productName"
                  [description]="descriptionWithoutTemplate"
                  [image]="productDetail.productImage[0].smallImage"
                  (closed)="onShareBtnClosed($event)"
                  ></share-social-buttons>
        </div>
        <div class="prod-compare-icon-m" [title]="'titleAddToCompare' | translate: lang" (click)="getProductAction(productDetail)"
         [title]="productDetail.compareProduct ? (productDetail.compareProduct === 1 ? ('titleGoToCompare' | translate: lang) : ('titleAddToCompare' | translate: lang)) : 
         ('titleAddToCompare' | translate: lang)" [ngClass]="{'tile-icons-active': productDetail.compareProduct === 1}">
          <i class="material-icons">compare_arrows</i>
        </div>
        <div class="prd-pic-mob">
          <!--<img [src]="mainImage">-->
          <!-- <slideshow #slideshow [imageUrls]="smallImgs" [backgroundPosition]="''" backgroundSize="cover" [height]="auto" [minHeight]="'355px'" [showArrows]="false"></slideshow> -->
          <img (swiperight)="slidingIndex = slidingIndex - 1; changeImageForSlider()" (swipeleft)="slidingIndex = slidingIndex + 1; changeImageForSlider()" [style.touch-action]="'pan-y'" [src]="mainImage" alt="">
        </div>
      </div>

      <div class="col padding0px drag-scroll">
        <div dragScroll class="prd-pic-mob-thumb">
          <span *ngFor="let image of productDetail.productImage; let i = index ">
            <img title="product" (click)="changeImageForZoom(image, i)" [src]="image.smallImage">
          </span>
        </div>
      </div>

      <div class="product-title-m">
        <h4>{{productDetail.productName}}</h4>
      </div>

      <div class="rating" *ngIf="productDetail.productRating !== null">
        <div class="rating-icon" (mouseover)="showRatingPopup()" (mouseout)="hideRatingPopup()">
          {{productDetail.productRating}} ★</div>
        <span class="p-lt"> {{productDetail.totalProductRating}} {{'RATINGS' | translate:lang }} & {{productDetail.totalProductReview}}
         {{'REVIEWS' | translate:lang}} </span>
        <div class="rating-popup" *ngIf="ratingPopup === true">
          <app-rating-popup [ratingList]="productDetail.reviewandRating[0]" [from]="from"></app-rating-popup>
        </div>
      </div>
      <div class="prod-review" *ngIf="productDetail.productRating === null && productDetail.productReview.length === 0">
        <a [ngx-scroll-to]="'#mob-reviewSection'">{{'PRODUCT_REVIEW' | translate: lang}}</a>
      </div>

      <div class="prt-description">
        <pre>{{productDetail.productShortDescription}}</pre>
      </div>


      <div class="price-mrp-m">{{'LABEL_PRICE' | translate: lang}}
        <span *ngIf="showDiscount !== 0 && productDetail.taxDiscountAmount !== 0" class="price-view">
          {{strikeOutAmount | customCurrencyFormat}}</span>
      </div>

      <div class="price-m">
        {{(productDetail.taxDiscountAmount === 0 ? (productDetail.taxSalesPrice | customCurrencyFormat) : (productDetail.taxDiscountAmount | customCurrencyFormat
            ))}}
        <span class="price-off" *ngIf="productDetail.taxDiscount > 0 && showDiscount !== 0">
          <span *ngIf="productDetail.discountType === 1">{{productDetail.taxDiscount | customCurrencyFormat}}</span>
          <span *ngIf="productDetail.discountType === 2">{{productDetail.taxDiscount}}%</span> Off</span>
      </div>

      <div class="product-outOfStock" *ngIf="(productDetail.quantity - productDetail.soldOut) === 0">
        {{productDetail.lowStockName}}
      </div>

      <div class="product-lowstock"
        *ngIf="((productDetail.quantity - productDetail.soldOut) !== 0) && showCountMessage === true">
        {{'ONLY' | translate:lang}}{{prodQuantity}}{{'LEFT'| translate:lang }}
      </div>

      <div class="att-list" *ngIf="productGroupOptionList">
        <div *ngFor="let option of productGroupOptionList">
          <div class="pro-title-m">{{option.attributeName}}</div>

          <div class="pro-color-m" *ngIf="option.attributeType === 'Color'">
            <ul>
              <li *ngFor="let opt of option.options; let i = index, targetIndex"
                [ngClass]="{'pro-color-active': opt.selected}" class="product-color"
                [ngStyle]="{'background-color': opt.productOptionValue | lowercase}"
                (click)="targetIndex = i; updateSelection(option,opt)"></li>
            </ul>
          </div>

          <div class="pro-size-m" *ngIf="option.attributeType === 'Size'">
            <ul class="capacity">
              <li class="size-product" *ngFor="let opt of option.options; let i = index, targetSizeIndex"
                [ngClass]="{'pro-size-active': opt.selected }"
                (click)="targetSizeIndex = i; updateSelection(option, opt)">{{opt.productOptionValue}}</li>
            </ul>
          </div>
          <div class="pro-seaters-wrap" *ngIf="option.attributeType === 'Select'">
            <div class="pro-seaters">
              <div class="custom-option">
                <div class="co-icon"></div>
                <div class="co-txt">
                  <mat-form-field class="common-form-field-width">
                    <mat-select (selectionChange)="updateSelection(option, $event.value)"
                      [(ngModel)]="selectedOptionValue">
                      <mat-option *ngFor="let opt of option.options" [value]="opt">
                        {{opt.productOptionValue}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </div>
            </div>
          </div>
          <div *ngIf="option.attributeType === 'Checkbox'">
            <div class="pro-checkbox">
              <section *ngFor="let opt of option.options">
                <mat-checkbox (change)="updateSelection(option, opt)" [checked]="opt.selected">
                  {{opt.productOptionValue}}</mat-checkbox>
              </section>
            </div>
          </div>

          <div class="pro-radio" *ngIf="option.attributeType === 'Radio'">
            <mat-radio-group [(ngModel)]="radioSelected">
              <mat-radio-button *ngFor="let opt of option.options" (click)="updateSelection(option, opt, radioSelected)"
                [value]="opt.productOptionValue" [checked]="opt.selected">
                {{opt.productOptionValue}}
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>
      </div>

      <div class="min-max-qty-m">
        <div class="min-qty" *ngIf="minimumOrderQuantity > 1">
          {{'labelMinimumQuantity' | translate: lang}} : <b>{{minimumOrderQuantity}}</b>
        </div>
        <div *ngIf="maximumOrderQuantity && maximumOrderQuantity !== 0">
          {{'labelMaximumQuantity' | translate: lang}} : <b>{{maximumOrderQuantity}}</b>
        </div>
      </div>
      <div *ngIf="prodDetails && prodDetails.isShippingGatewayAvailable !== 0">

      
      <form (ngSubmit)="checkProductAvailability()" #availableForm="ngForm">
        <div class="rdelivery-opt-check"> 
          <div>
              <mat-form-field appearance="outline" class="common-form-field-width">
                  <mat-label>{{'ZIP_CODE_DELIVERY' | translate: lang}}</mat-label>
                  <input (input)="onChangeZipCode()" [pattern]="productAvailableQuantity.ZIPCODE_PATTERN" [minlength]="productAvailableQuantity.ZIPCODE_MINLENGTH" [maxlength]="productAvailableQuantity.ZIPCODE_MAXLENGTH" [(ngModel)]="availableZipcode" name="availableZipcode"
                    #zipcode="ngModel" matInput [placeholder]="'ZIP_CODE_DELIVERY' | translate: lang" autocomplete="off">
                    <mat-hint *ngIf="zipcode.invalid">
                        <mat-error *ngIf="zipcode.errors.minlength">{{'minimumCharacter' | translate: lang}} {{productAvailableQuantity.ZIPCODE_MINLENGTH}}</mat-error>
                        <mat-error *ngIf="zipcode.errors.pattern">{{'errorValidZipcode' | translate: lang}}</mat-error>
                    </mat-hint>
                  </mat-form-field>
              </div>
              <div>
                <button [disabled]="!availableZipcode || !availableForm.valid" mat-raised-button class="check-delivery-btn delivery-check">{{ 'CHECK' | translate:lang }}</button>
              </div>
                <div class="delivery-expect" *ngIf="availableZipcode && productAvailableDetails">
                  <span *ngIf="productAvailableDetails.available">
                    <span *ngIf="productAvailableDetails.deliveryByDate">{{'LABEL_DELIVERY_BY' | translate: lang}} 19 Jul, Friday</span>
                    <span *ngIf="!productAvailableDetails.deliveryByDate">
                      {{'LABEL_PRODUCT_AVAILABLE' | translate: lang}}
                      <span class="offer" *ngIf="productDetail.freeShipping === 0 && !productAvailableDetails.amount">
                          <span class="breaker">|</span>
                          {{'labelFreeShipping' | translate: lang}}
                      </span>
                    </span>
                    <span *ngIf="productAvailableDetails.amount && productDetail.freeShipping === 0">
                      <span class="breaker">|</span>
                        <span class="offer">{{'LABEL_FREE' | translate: lang}}</span>
                        <span class="rupees">{{productAvailableDetails.amount | customCurrencyFormat}}</span>
                    </span>
                    <span *ngIf="productAvailableDetails.amount && productDetail.freeShipping === 1">
                        <span class="breaker">|</span>
                        <span>{{'labelShippingFee' | translate: lang}}: </span>
                        <span>{{productAvailableDetails.amount | customCurrencyFormat}}</span>
                    </span>
                  </span>
                  <span class="product-not-avail" *ngIf="!productAvailableDetails.available">
                    {{'LABEL_PRODUCT_NOT_AVAILABLE' | translate: lang}}
                  </span>
                </div>
                <div class="delivery-expect" *ngIf="!productAvailableDetails">
                    <span *ngIf="productDetail.freeShipping === 0" class="offer">{{'labelFreeShipping' | translate: lang}}</span>
                </div>
            </div>
          </form>
        </div>
      <div id="mybutton">
        <div class="prod-det-but-m">
          <span *ngIf="(productDetail.quantity - productDetail.soldOut) !== 0">
            <button mat-raised-button class="add-to-cart"
              *ngIf="productDetail.cartUser === 0 || !productDetail.cartUser"
              (click)="addProductToCart(productDetail)">{{ 'buttonAddCart' | translate:lang }}</button>
            <button mat-raised-button class="go-to-cart" *ngIf="productDetail.cartUser === 1"
              routerLink="/cart-checkout">{{'buttonGoToCart'
                          | translate: lang}}</button>
          </span>
          <span *ngIf="(productDetail.quantity - productDetail.soldOut) !== 0 && productDetail.cartUser !== 1">
            <button mat-raised-button class="add-to-fav" (click)="buyProduct(productDetail)">
              {{'buttonBuyNow' | translate: lang}} </button>
          </span>
        </div>
      </div>


      <div class="v-name">
        <app-vendor-name [productDetail]="vendorProduct" class="row no-gutters" (click)="toggleVendorPopover()" (clickOutside)="vendorDetail = false;"></app-vendor-name>             
      </div>
    </div>

    <div class="pro-desc-m">
      <div class="pro-desc-title">{{ 'labelDescription' | translate:lang }}</div>
      <div class="pro-desc-txts">
          <div class="pro-desc-txts" [innerHTML]="productDetail.productDescription | safe: 'html'">
      </div>

      <div id="mob-reviewSection" class="prod-cust-review-m">
        <h3>{{'LABEL_REVIEW_RATING' | translate: lang}}</h3>
        <div class="container">
          <div class="row">
                <form class="product-review" [formGroup]="productReviewForm">
            <div class="col-md-12 padding0px">
              <div class="prod-cust-rate">
                  <div class="prod-cust-rate-img">
                    <img class="img-resp" [src]="ratingImage">
                  </div>
                  <bar-rating [required]="true" [title]="ratingTitle" formControlName="productRating" [(rate)]="rating" [theme]="'stars'" [max]="5"
                    (hover)="updateTitleOnHover($event)">
                  </bar-rating>
              </div>
            </div>
            <div class="col-md-12 padding0px">
                <mat-form-field class="example-full-width" appearance="outline">
                  <mat-label>{{'placeholderReviewTitle' | translate: lang}}</mat-label>
                  <input matInput type="text" [title]="'placeholderReviewTitle' | translate: lang" autocomplete="off"
                    formControlName="reviewTitle" name="reviewhead" (keypress)="patternChecking($event)"
                    [placeholder]="'placeholderReviewTitle' | translate:lang" required
                    [maxLength]="reviewRules.REVIEW_MAX_LENGTH" />
                  <mat-hint
                    *ngIf="(productReviewForm.controls['reviewTitle'].invalid && (productReviewForm.controls['reviewTitle'].dirty || productReviewForm.controls['reviewTitle'].touched))">
                    <mat-error *ngIf="productReviewForm.controls['reviewTitle'].errors?.required">
                      {{'errorRequired' | translate: lang}}
                    </mat-error>
                    <mat-error *ngIf="productReviewForm.controls['reviewTitle'].errors?.minlength">
                      {{'errorMinimumCharacter' | translate: lang}} {{reviewRules.REVIEW_MIN_LENGTH}}
                    </mat-error>
                    <mat-error
                      *ngIf="productReviewForm.controls['reviewTitle'].errors.pattern && productReviewForm.controls['reviewTitle'].value.length >= reviewRules.REVIEW_MIN_LENGTH">
                      {{'placeholderReviewTitle' | translate: lang}} {{'errorAlphabets' | translate: lang}}
                      and
                      ( & ,@ () ' " ! % - )
                    </mat-error>
                  </mat-hint>
                </mat-form-field>
                <mat-form-field class="example-full-width reviewDes" appearance="outline">
                  <mat-label>{{'placeholderReviewDescription' | translate: lang}}</mat-label>
                  <textarea matInput type="text" autocomplete="off"
                    [title]="'placeholderReviewDescription' | translate:lang" formControlName="reviewDescription"
                    [maxLength]="reviewRules.MAX_LENGTH" [placeholder]="'placeholderReviewDescription' | translate:lang"
                    required></textarea>
                  <mat-hint
                    *ngIf="(productReviewForm.controls['reviewDescription'].invalid && (productReviewForm.controls['reviewDescription'].dirty || productReviewForm.controls['reviewDescription'].touched))">
                    <mat-error class="text-danger"
                      *ngIf="productReviewForm.controls['reviewDescription'].errors?.required">
                      {{'errorRequired' | translate: lang}}
                    </mat-error>
                    <mat-error class="text-danger"
                      *ngIf="productReviewForm.controls['reviewDescription'].errors?.minlength">
                      {{'errorMinimumCharacter' | translate: lang}} {{reviewRules.REVIEW_MIN_LENGTH}}
                    </mat-error>
                  </mat-hint>
                </mat-form-field>
                <div class="po-btn-m">
                  <button [title]="'labelAddReview' | translate:lang" class="mt-2" mat-raised-button color="primary"
                    [disabled]="!productReviewForm.valid" (click)="onSubmitRatingReview()">{{ 'labelAddReview' |
                      translate:lang }}
                  </button>
                </div>
            </div>
          </form>
            <div class="col-md-12 product-cus-review" *ngIf="productDetail.productReview.length > 0">
              <div *ngFor="let review of reviewsList">
                <div class="review-head-m mt-4 mr-4">
                  <div class="row">
                    <div class="col-md-6">
                      <span class="rating-icon">{{review.productRating || 0}}
                        ★</span><br>
                      <h6 class="mt-3">{{review.reviewTitle}}</h6>
                    </div>
                  </div>
                </div>
                <div class="reviews mt-1  mr-4">
                  <p>{{review.reviewMessage}}</p>
                </div>
                <div class="review-user-name mt-1 mr-4 mb-2">
                  {{review.firstName}} {{review.lastName}} {{review.createdAt | customDate}}
                </div>
              </div>
              <div class="prt-customer-review" *ngIf="productDetail.productReview.length > 2">
                <div class="view-more mt-4  mb-4">
                  <span class="view-more" (click)="showMoreReviews()">{{ 'labelMoreReviews' | translate:lang }}</span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="container" *ngIf="productDetail && productDetail.vendorProduct && productDetail.vendorProduct.length !== 0">
        <app-list-vendors [showDiscount]="showDiscount" [productDetail]="vendorProduct" class="row "></app-list-vendors>
      </div>

      <div class="pro-bg-similar-prod-m" *ngIf="productDetail && productDetail.similarProduct && productDetail.similarProduct.length > 0">
        <h4 class="m-b10 mt-3">
          {{ 'labelSimilarProduct' | translate:lang }}
        </h4>
        <div *ngIf="productDetail.similarProduct.length > 0">
            <div class="col-md-12 drag-scroll padding0px similar-drag-scroll" dragScroll #mobileTileArrowNav (reachesRightBound)="reachedRightMobile($event)" (reachesLeftBound)="reachedLeftMobile($event)" [drag-scroll-disabled]="true">
              <div class="similar-product padr2vh" *ngFor="let product of productDetail.similarProduct" (click)="scroll(prod)">              
            <app-product-tile [productDetail]="product" [from]="productFrom" [compareCount]="compareCount"
                (productAction)="getProductActionDetails($event)"></app-product-tile>
            </div>
          </div>

          <div class="" *ngIf="productDetail.similarProduct.length > 1">
                  <div *ngIf="!disableArrowLeftMobile" (click)="moveLeftMobile(mobTileArrowNav)" class="btn-left">
                  <i class="fa fa-chevron-left" aria-hidden="true"></i>
            </div>
            <div *ngIf="!disableArrowRightMobile" (click)="moveRightMobile(mobTileArrowNav)" class="btn-right">
                <i class="fa fa-chevron-right" aria-hidden="true"></i>
              </div> 
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</div>